libnvme(2)

NAME
enum nvme_lm_track_send_fields - Track Send command fields

SYNOPSIS
enum nvme_lm_track_send_fields {
NVME_LM_TRACK_SEND_MOS_SHIFT ,
NVME_LM_TRACK_SEND_MOS_MASK ,
NVME_LM_TRACK_SEND_SEL_SHIFT ,
NVME_LM_TRACK_SEND_SEL_MASK ,
NVME_LM_SEL_LOG_USER_DATA_CHANGES ,
NVME_LM_SEL_TRACK_MEMORY_CHANGES ,
NVME_LM_LACT_SHIFT ,
NVME_LM_LACT_MASK ,
NVME_LM_LACT_STOP_LOGGING ,
NVME_LM_LACT_START_LOGGING

};

Constants

NVME_LM_TRACK_SEND_MOS_SHIFT
    Shift to set Management Operation Specific (MOS) field

NVME_LM_TRACK_SEND_MOS_MASK
    Mask to set MOS field

NVME_LM_TRACK_SEND_SEL_SHIFT
    Shift to set Select (SEL) field

NVME_LM_TRACK_SEND_SEL_MASK
    Mask to set SEL field

NVME_LM_SEL_LOG_USER_DATA_CHANGES
    Log User Data Changes select option

NVME_LM_SEL_TRACK_MEMORY_CHANGES
    Track Memory Changes select option

NVME_LM_LACT_SHIFT
    Shift to set Logging Action (LACT) relative to MOS

NVME_LM_LACT_MASK
    Mask to set LACT relative to MOS

NVME_LM_LACT_STOP_LOGGING
    The controller shall stop logging user data changes to namespaces attached to the controller associated with the User Data Migration Queue specified in the CDQ ID.

NVME_LM_LACT_START_LOGGING
    The controller shall start logging user data changes to namespaces attached to the controller associated with the User Data Migration Queue into that User Data Migration Queue where those user data changes are caused by the controller associated with that User Data Migration Queue processing commands.